Bug 172092 - CVE-2004-0079 OpenSSL remote DoS
CVE-2004-0079 OpenSSL remote DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssl (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
public=20040317,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-31 06:02 EST by Bastien Nocera
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-829
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-02 08:07:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ssl_core.pl (992 bytes, text/plain)
2005-10-31 06:02 EST, Bastien Nocera
no flags Details
openssl-can-2004-0079.patch (468 bytes, patch)
2005-10-31 06:03 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Comment 3 Mark J. Cox (Product Security) 2005-10-31 07:03:29 EST
This flaw was originally believed to only affect versions of OpenSSL after
0.9.6b as proved and verified with Codenomicon test suite (pkt539.c as
distributed to vendors via NISCC from OpenSSL).  Customer has however supplied
an alternative reproducer that proves this can be triggered in older versions too.
Comment 5 Mark J. Cox (Product Security) 2005-11-01 04:13:26 EST
Errata RHSA-2005:829 in progress to correct this flaw.
Comment 6 Red Hat Bugzilla 2005-11-02 08:07:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-829.html

Note You need to log in before you can comment on or make changes to this bug.